## ext

ext

## Functions

const char * | gss_check_version ()
int | gss_userok ()

## Types and Values

extern gss_OID_desc | GSS_C_NT_USER_NAME_static
extern gss_OID_desc | GSS_C_NT_MACHINE_UID_NAME_static
extern gss_OID_desc | GSS_C_NT_STRING_UID_NAME_static
extern gss_OID_desc | GSS_C_NT_HOSTBASED_SERVICE_X_static
extern gss_OID_desc | GSS_C_NT_HOSTBASED_SERVICE_static
extern gss_OID_desc | GSS_C_NT_ANONYMOUS_static
extern gss_OID_desc | GSS_C_NT_EXPORT_NAME_static

## Description

## Functions

### gss_check_version ()

    const char *
    gss_check_version (const char *req_version);

Check that the version of the library is at minimum the one given as a string in `req_version` .

WARNING: This function is a GNU GSS specific extension, and is not part of the official GSS API.

#### Parameters

req_version | version string to compare with, or NULL |

#### Returns

The actual version string of the library; NULL if the condition is not met. If NULL is passed to this function no check is done and only the version string is returned.

### gss_userok ()

    int
    gss_userok (const gss_name_t name,
                const char *username);

Compare the username against the output from `gss_export_name()` invoked on `name` , after removing the leading OID. This answers the question whether the particular mechanism would authenticate them as the same principal

WARNING: This function is a GNU GSS specific extension, and is not part of the official GSS API.

#### Parameters

name | (gss_name_t, read) Name to be compared. |
username | Zero terminated string with username. |

#### Returns

Returns 0 if the names match, non-0 otherwise.

## Types and Values

### GSS_C_NT_USER_NAME_static

    extern gss_OID_desc GSS_C_NT_USER_NAME_static;

### GSS_C_NT_MACHINE_UID_NAME_static

    extern gss_OID_desc GSS_C_NT_MACHINE_UID_NAME_static;

### GSS_C_NT_STRING_UID_NAME_static

    extern gss_OID_desc GSS_C_NT_STRING_UID_NAME_static;

### GSS_C_NT_HOSTBASED_SERVICE_X_static

    extern gss_OID_desc GSS_C_NT_HOSTBASED_SERVICE_X_static;

### GSS_C_NT_HOSTBASED_SERVICE_static

    extern gss_OID_desc GSS_C_NT_HOSTBASED_SERVICE_static;

### GSS_C_NT_ANONYMOUS_static

    extern gss_OID_desc GSS_C_NT_ANONYMOUS_static;

### GSS_C_NT_EXPORT_NAME_static

    extern gss_OID_desc GSS_C_NT_EXPORT_NAME_static;